//----------------------------------------------
// ContextMenuDemo.cs  2001 by Charles Petzold
//----------------------------------------------
using System;
using System.Drawing;
using System.Windows.Forms;

class ContextMenuDemo: Form
{
     MenuItem miColor;

     public static void Main()
     {
          Application.Run(new ContextMenuDemo());
     }
     public ContextMenuDemo()
     {
          Text = "Demo de men contextual";

          EventHandler eh = new EventHandler(MenuColorOnClick);

          MenuItem[] ami = { new MenuItem("Negro",    eh),
                             new MenuItem("Azul",     eh),
                             new MenuItem("Verde",    eh),
                             new MenuItem("Celeste",  eh),
                             new MenuItem("Rojo",     eh),
                             new MenuItem("Magenta",  eh),
                             new MenuItem("Amarillo", eh),
                             new MenuItem("Blanco",   eh) };

          foreach (MenuItem mi in ami)
               mi.RadioCheck = true;

		  SetStyle(ControlStyles.SupportsTransparentBackColor, true);

          miColor = ami[3];
          miColor.Checked = true;
          BackColor = Color.FromName(miColor.Text);

          ContextMenu = new ContextMenu(ami);
     }
     void MenuColorOnClick(object obj, EventArgs ea)
     {
          miColor.Checked = false;
          miColor = (MenuItem) obj;
          miColor.Checked = true;

          BackColor = Color.FromName(miColor.Text);
     }
}
